Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Arthur Miller <[email-masked]>
Date: Mon, 23 Nov 2020 21:03:05 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Arthur Miller <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked],  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Mon, 23 Nov 2020 20:38:45 +0100
>> 
>> By the way; I haven't experienced this since 18th this month; day after
>> when I rebuild. So it has been almost 5 days without a crash. But I also
>> don't shift big folders any more; I cleanud up my old backup drive.
>> Is there some hefty ram-tasking benchmark with lots of random list
>> creations and deletions I could run; maybe some suitable ert-test
>> already written?
>
> I don't think so, and we don't have a clear idea yet regarding what
> exactly causes this, so it's difficult to know what could be
> relevant.  We must wait until something like that happen, and collect
> data then.
Yes yes, ok. thanks.

I'll try to build heaptrack and see if it works well with Emacs first;
I'm little bit curious about it.